<?php
defined('BASEPATH') OR exit('No direct script access allowed');
/**
 * Mastering for Publication view
 * author Suddam Hossain Rana
 * 28-04-2016
 */
class Publication extends CI_Controller {

    public function __construct() {

        parent::__construct();
    }

    /**
     * Function            : add_new_publication
     * Used IN             : add publication form...for mastering
     * Developed By        : Suddam Hossain Rana
     * */
    public function add_new_publication() {
        $data = array();
        $data['active_menu'] = 'publication'; //left side active menu
        $data['active_sub_menu'] = 'addPublication'; // left side active sub menu
        $data['left_side_menu_view'] = 1;
        $data['left_side'] = 1;
        $data['main_content'] = $this->load->view('user/publication/add_publication', $data, true);
        $this->load->view('user/master', $data);
    }
    
    /**
     * Function            : manage_all_publication
     * Used IN             : manage publication ...for mastering
     * Developed By        : Suddam Hossain Rana
     * */
    
    public function manage_all_publication() {
        $data = array();
        $data['active_menu'] = 'publication'; //left side active menu
        $data['active_sub_menu'] = 'managePublication'; // left side active sub menu
        $data['left_side_menu_view'] = 1;
        $data['left_side'] = 1;
        $data['main_content'] = $this->load->view('user/publication/manage_publication', $data, true);
        $this->load->view('user/master', $data);
    }
    
    /**
     * Function            : view_details
     * Used IN             : view_details ...for mastering
     * Developed By        : Suddam Hossain Rana
     * */
    
    public function view_details() {
        $data = array();
        $data['active_menu'] = ''; //left side active menu
        $data['active_sub_menu'] = ''; // left side active sub menu
        $data['right_content_variation']= 0;
        $data['main_content'] = $this->load->view('user/publication/view_details', $data, true);
        $this->load->view('user/master', $data);
    }

}
